Customer Management
Get Customer Details By Uuid
This API request fetches the complete profile for an existing customer. The response includes the customer's personal information and their billing and shipping addresses.
Endpoint
GET https://demo-api.frontpayment.no/api/v1/connect/customers/details/{CUSTOMER_UUID}
Authentication
Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.
Example:
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
Response
A successful request will return a 200 OK status with the following JSON payload:
{
"status_code": 200,
"status_message": "OK",
"message": "customerDetailsRetrievedSuccessfully",
"is_data": true,
"data": {
"uuid": "CSRT1511414842",
"type": "Private",
"name": "Kari Nordmann",
"countryCode": "+47",
"msisdn": "00000000",
"organizationId": null,
"personalNumber": null,
"email": "test@gmail.com",
"preferredLanguage": null,
"status": "Active",
"addresses": {
"billing": {
"uuid": "ADRS2208147269",
"street": "Luramyrveien 65",
"zip": "4313",
"city": "Sandnes",
"country": "NO"
},
"shipping": {
"uuid": "ADRS1016062549",
"street": "Sjøhusbakken 42",
"zip": "4313",
"city": "Stavanger",
"country": "NO"
}
}
}
}
API returns a 404 error, it means requested customer with CUSTOMER_UUID could not be found in our system.
{
"status_code": 404,
"status_message": "Not Found",
"message": "customerNotFound",
"is_data": false,
"data": null
}
API returns a 510 error, it means something failed on the server side
{
"status_code": 510,
"status_message": "Execution Exception Occurred",
"message": "Something Went Wrong",
"is_error": true,
"errors": "Array"
}
Update Private Customer
This API endpoint allows you to update the details of an existing private customer. You can modify information such as their name, email, phone number, and address.
Endpoint
PUT https://demo-api.frontpayment.no/api/v1/connect/customers/update/private/{CUSTOMER_UUID}
Authentication
Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.
Example:
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
Request Payload
Send the following JSON object in the request body:
{
"name": "Kari Nordmann",
"personalNumber": "925710482",
"preferredLanguage": "en",
"msisdn": "46567468",
"email": "test@gmail.com",
"countryCode": "+47",
"addresses": {
"billing": {
"street": "Luramyrveien 65",
"zip": "4313",
"city": "Sandnes ",
"country": "NO"
},
"shipping": {
"street": "Luramyrveien 65",
"zip": "4313",
"city": "Sandnes ",
"country": "NO"
}
}
}
Validation Rules
Make sure your request meets the following requirements:
| Field | Type | Description |
|---|---|---|
name |
string |
Required Customer's full name. |
email |
email |
Required Customer's email address. |
countryCode |
string |
Required Country code for the customer's phone number (e.g., "+47"). |
msisdn |
string |
Required Mobile Subscriber ISDN Number (phone number). |
preferredLanguage |
string |
Required Customer preferred language. Available languages are en, no, sv, da, de. |
personalNumber |
string |
Optional Customer's personal identification number, must be exactly 11 characters containing only numbers and cannot contain spaces. |
addresses |
array |
Required Customer's billing and shipping address. |
addresses.billing.street |
string |
Required Street address of the customer. |
addresses.billing.zip |
string |
Required Zip code of the customer's address. |
addresses.billing.city |
string |
Required City of the customer's address. |
addresses.billing.country |
string |
Required ISO Alpha-2 country code (e.g., NO). Custom validation IsoAlpha2Country applies. |
addresses.shipping.street |
string |
Optional Street address of the customer. |
addresses.shipping.zip |
string |
Optional Zip code of the customer's address. |
addresses.shipping.city |
string |
Optional City of the customer's address. |
addresses.shipping.country |
string |
Optional ISO Alpha-2 country code (e.g., NO). Custom validation IsoAlpha2Country applies. |
Response
A successful request returns 202 OK:
{
"status_code": 202,
"status_message": "OK",
"message": "customerUpdatedSuccessfully",
"is_data": false,
"data": null
}
If the API returns a 510 error, it indicates a server-side failure:
{
"status_code": 510,
"status_message": "Execution Exception Occurred",
"message": "somethingWentWrong",
"is_error": true,
"errors": "Array"
}
Update Corporate Customer
This API endpoint allows you to update the details of an existing corporate customer. You can modify information such as their name, email, phone number, and address.
Endpoint
PUT https://demo-api.frontpayment.no/api/v1/connect/customers/update/corporate/{CUSTOMER_UUID}
Authentication
Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.
Example:
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
Request Payload
Send the following JSON object in the request body:
{
"name": "Kari Nordmann",
"organizationId": 192933933,
"preferredLanguage": "en",
"msisdn": "46567468",
"email": "test@yopmail.com",
"countryCode": "+47",
"addresses": {
"billing": {
"street": "Luramyrveien 65",
"zip": "4313",
"city": "Sandnes",
"country": "NO"
},
"shipping": {
"street": "Luramyrveien 65",
"zip": "4313",
"city": "Oslo",
"country": "NO"
}
},
"additionalContact": {
"0": {
"name": "Tomas Simonen",
"email": "test@mail.com",
"designation": "CEO",
"countryCode": "+88",
"msisdn": "0175272184121",
"note": "Note goes here"
}
}
}
Validation Rules
Make sure your request meets the following requirements:
| Field | Type | Description |
|---|---|---|
name |
string |
Required Customer's full name. |
email |
email |
Required Customer's email address. |
countryCode |
string |
Required Country code for the customer's phone number (e.g., "+47"). |
msisdn |
string |
Required Mobile Subscriber ISDN Number (phone number). |
preferredLanguage |
string |
Required Customer preferred language. Available languages are en, no, sv, da, de. |
organizationId |
string |
Optional Organization identification number, must contain only numbers and cannot contain spaces. |
addresses |
array |
Required Customer's billing and shipping address. |
addresses.billing.street |
string |
Required Street address of the customer. |
addresses.billing.zip |
string |
Required Zip code of the customer's address. |
addresses.billing.city |
string |
Required City of the customer's address. |
addresses.billing.country |
string |
Required ISO Alpha-2 country code (e.g., NO). Custom validation IsoAlpha2Country applies. |
addresses.shipping.street |
string |
Optional Street address of the customer. |
addresses.shipping.zip |
string |
Optional Zip code of the customer's address. |
addresses.shipping.city |
string |
Optional City of the customer's address. |
addresses.shipping.country |
string |
Optional ISO Alpha-2 country code (e.g., NO). Custom validation IsoAlpha2Country applies. |
additionalContact.*.name |
string |
Optional Additional Contact person Name. |
additionalContact.*.designation |
string |
Optional Additional Contact person designation |
additionalContact.*.countryCode |
string |
Optional Country code for the additional contact person phone number (e.g., "+47"). |
additionalContact.*.msisdn |
string |
Optional Mobile Subscriber ISDN Number (phone number). |
additionalContact.*.email |
string |
Optional Additional contact person email address. |
additionalContact.*.note |
string |
Optional Additional contact person notes. |
Response
A successful request returns 202 OK:
{
"status_code": 202,
"status_message": "OK",
"message": "customerUpdatedSuccessfully",
"is_data": false,
"data": null
}
If the API returns a 510 error, it indicates a server-side failure:
{
"status_code": 510,
"status_message": "Execution Exception Occurred",
"message": "somethingWentWrong",
"is_error": true,
"errors": "Array"
}